Name:                python-posix_ipc
Version:             1.1.1
Release:             1
Summary:             POSIX IPC primitives (semaphores and shared memory) for Python
License:             BSD-3-Clause
URL:                 http://semanchuk.com/philip/posix_ipc/
Source0:             https://github.com/osvenskan/posix_ipc/archive/refs/tags/rel1.1.1.tar.gz
BuildRequires:       	gcc
%global _description\
posix_ipc is a Python module (written in C) that permits creation and\
manipulation of POSIX inter-process semaphores, shared memory and message\
queues on platforms supporting POSIX Realtime Extensions, POSIX 1003.1b-1993.
%description %_description

%package -n python3-posix_ipc
Summary:             POSIX IPC primitives (semaphores and shared memory) for Python
BuildRequires:       python3-devel python3-setuptools
%description -n python3-posix_ipc %_description

%prep
%setup -q -n posix_ipc-rel%{version}
chmod 644 demo/make_all.sh
chmod 644 demo2/cleanup.py
chmod 644 demo/cleanup.py
find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%py3_build

%install
%py3_install

%files -n python3-posix_ipc
%doc README.md LICENSE demo demo2
%{python3_sitearch}/*

%changelog
* Tue Apr 04 2023 Ge Wang <wangge20@h-partners.com> - 1.1.1-1
- update to version 1.1.1

* Mon Aug 01 2022 liqiuyu <liqiuyu@kylinos.cn> - 1.0.5-1
- update to 1.0.5

* Tue May 10 2022 yangping <yangping69@h-partners> - 0.9.8-2
- License compliance rectification

* Sat May 8 2021 baizhonggui <baizhonggui@huawei.com> - 0.9.8-1
- package init
